<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: AccessoryGroup Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classAccessoryGroup.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="classAccessoryGroup-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">AccessoryGroup Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>&quot;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1ba534d4bee2acdb03fa9fbd94d4c871"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a1ba534d4bee2acdb03fa9fbd94d4c871">begin</a> ()</td></tr>
<tr class="separator:a1ba534d4bee2acdb03fa9fbd94d4c871"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4cc4bd361ef72fe054ad75e9e007b9a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a4cc4bd361ef72fe054ad75e9e007b9a0">AddState</a> (<a class="el" href="classGroupState.html">GroupState</a> *inpState)</td></tr>
<tr class="separator:a4cc4bd361ef72fe054ad75e9e007b9a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68a7051a1ad6d5d389cd71e6f289ddf4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a68a7051a1ad6d5d389cd71e6f289ddf4">AddState</a> (unsigned long inId, bool inSynchronous = true)</td></tr>
<tr class="separator:a68a7051a1ad6d5d389cd71e6f289ddf4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c773ab063b3d8dc175a4fdd4bc37dbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a0c773ab063b3d8dc175a4fdd4bc37dbf">AddStateItem</a> (unsigned long inId, <a class="el" href="classAccessory.html">Accessory</a> &amp;inAccessory, ACC_STATE inState, unsigned int inDelay = 0)</td></tr>
<tr class="separator:a0c773ab063b3d8dc175a4fdd4bc37dbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8a5619af703b0bab9b8fe7236e057d0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#ae8a5619af703b0bab9b8fe7236e057d0">AddRange</a> (const AccessoryGroup &amp;inGroup)</td></tr>
<tr class="separator:ae8a5619af703b0bab9b8fe7236e057d0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44a43ba4687d9cd3863ec9d1f9a55cde"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classGroupState.html">GroupState</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a44a43ba4687d9cd3863ec9d1f9a55cde">GetByID</a> (unsigned long inId) const </td></tr>
<tr class="separator:a44a43ba4687d9cd3863ec9d1f9a55cde"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6ba5894c5a5fc03e1be8db5a0cd4a90"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM</a>&lt; <a class="el" href="classGroupState.html">GroupState</a> &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#ab6ba5894c5a5fc03e1be8db5a0cd4a90">GetItemByID</a> (unsigned long inId) const </td></tr>
<tr class="separator:ab6ba5894c5a5fc03e1be8db5a0cd4a90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b6473e417837efbe8dfd8c0221a6a0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#aa8b6473e417837efbe8dfd8c0221a6a0">Event</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:aa8b6473e417837efbe8dfd8c0221a6a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7161fb1c8e33b10008cd70e373bdff2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#aa7161fb1c8e33b10008cd70e373bdff2">StartAction</a> (<a class="el" href="classGroupState.html">GroupState</a> *inpState)</td></tr>
<tr class="separator:aa7161fb1c8e33b10008cd70e373bdff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5a114a8a2d2b0412f5b0acc2813e5545"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a5a114a8a2d2b0412f5b0acc2813e5545">ResetAction</a> ()</td></tr>
<tr class="separator:a5a114a8a2d2b0412f5b0acc2813e5545"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47a16211e59138801c734a445867d137"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a47a16211e59138801c734a445867d137">IsActionItemPending</a> ()</td></tr>
<tr class="separator:a47a16211e59138801c734a445867d137"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af218475c80604838386e6a1ae342f88c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#af218475c80604838386e6a1ae342f88c">loop</a> ()</td></tr>
<tr class="separator:af218475c80604838386e6a1ae342f88c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af48bad3fa19a9aa30a39c827b57140e4"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#af48bad3fa19a9aa30a39c827b57140e4">Toggle</a> (unsigned long inId)</td></tr>
<tr class="separator:af48bad3fa19a9aa30a39c827b57140e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa872b142ab9d2c35a6b7db675e2d480a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#aa872b142ab9d2c35a6b7db675e2d480a">EEPROMSave</a> (int inPos, bool inSimulate = false)</td></tr>
<tr class="separator:aa872b142ab9d2c35a6b7db675e2d480a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a552fc64261c5c812ce152ee80ab291"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a7a552fc64261c5c812ce152ee80ab291">EEPROMLoad</a> (int inPos)</td></tr>
<tr class="separator:a7a552fc64261c5c812ce152ee80ab291"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ab9322f8e1511e5545bbd4bee7077291d"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#ab9322f8e1511e5545bbd4bee7077291d">EventAll</a> (unsigned long inId, ACCESSORIES_EVENT_TYPE inEvent = ACCESSORIES_EVENT_MOVEPOSITIONID, int inData = 0)</td></tr>
<tr class="separator:ab9322f8e1511e5545bbd4bee7077291d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4e51991ec66066df63057550b79febd9"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a4e51991ec66066df63057550b79febd9">loops</a> ()</td></tr>
<tr class="separator:a4e51991ec66066df63057550b79febd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c852b40b4303445aaf77bfd03095b1f"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a5c852b40b4303445aaf77bfd03095b1f">GetCount</a> ()</td></tr>
<tr class="separator:a5c852b40b4303445aaf77bfd03095b1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a414d80944dab2b6ee852fac72e2139d7"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a414d80944dab2b6ee852fac72e2139d7">EEPROMSaveAll</a> (int inPos, bool inSimulate = false)</td></tr>
<tr class="separator:a414d80944dab2b6ee852fac72e2139d7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0dac6d80624d22f75d7e5612f2ac34cf"><td class="memItemLeft" align="right" valign="top">static int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAccessoryGroup.html#a0dac6d80624d22f75d7e5612f2ac34cf">EEPROMLoadAll</a> (int inPos)</td></tr>
<tr class="separator:a0dac6d80624d22f75d7e5612f2ac34cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a group of accessories. Each group defines some <a class="el" href="classGroupState.html">GroupState</a> to set multiple accessories states with only one Id. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00120">120</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ae8a5619af703b0bab9b8fe7236e057d0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::AddRange </td>
          <td>(</td>
          <td class="paramtype">const AccessoryGroup &amp;&#160;</td>
          <td class="paramname"><em>inGroup</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Insert a full group into this one. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inGroup</td><td>group to insert. All states of inGroup will be added to this group. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00204">204</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4cc4bd361ef72fe054ad75e9e007b9a0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::AddState </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGroupState.html">GroupState</a> *&#160;</td>
          <td class="paramname"><em>inpState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Add a new state. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpState</td><td>Address of the <a class="el" href="classGroupState.html">GroupState</a> to add. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00140">140</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a68a7051a1ad6d5d389cd71e6f289ddf4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::AddState </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inSynchronous</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Add a new state. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>id of this state. </td></tr>
    <tr><td class="paramname">inSynchronous</td><td></td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00146">146</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a0c773ab063b3d8dc175a4fdd4bc37dbf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::AddStateItem </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classAccessory.html">Accessory</a> &amp;&#160;</td>
          <td class="paramname"><em>inAccessory</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACC_STATE&#160;</td>
          <td class="paramname"><em>inState</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>inDelay</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Add a new state item, into the state of the given id. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>id of the state to complete. </td></tr>
    <tr><td class="paramname">inAccessory</td><td><a class="el" href="classAccessory.html">Accessory</a>. </td></tr>
    <tr><td class="paramname">inState</td><td>state to reach. </td></tr>
    <tr><td class="paramname">inDelay</td><td>The delay gives a duration of the movement, to ensure that this movement is finished before starting the next one.Only used in asynchronous group state. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00171">171</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a1ba534d4bee2acdb03fa9fbd94d4c871"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::begin </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00164">164</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a7a552fc64261c5c812ce152ee80ab291"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryGroup::EEPROMLoad </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Reload the data of the group from the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

</div>
</div>
<a class="anchor" id="a0dac6d80624d22f75d7e5612f2ac34cf"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int AccessoryGroup::EEPROMLoadAll </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Reload the data of all the groups from the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

</div>
</div>
<a class="anchor" id="aa872b142ab9d2c35a6b7db675e2d480a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int AccessoryGroup::EEPROMSave </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inSimulate</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Save the data of this group in the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

</div>
</div>
<a class="anchor" id="a414d80944dab2b6ee852fac72e2139d7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static int AccessoryGroup::EEPROMSaveAll </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>inSimulate</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Save the data of all the groups in the EEPROM. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

</div>
</div>
<a class="anchor" id="aa8b6473e417837efbe8dfd8c0221a6a0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::Event </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Execute a new event. Nothing appends if the Id is not in this group. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00339">339</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab9322f8e1511e5545bbd4bee7077291d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::EventAll </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ACCESSORIES_EVENT_TYPE&#160;</td>
          <td class="paramname"><em>inEvent</em> = <code>ACCESSORIES_EVENT_MOVEPOSITIONID</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inData</em> = <code>0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Loop through all AccessoryGroup and execute a new event. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id of an accessory or an accessory item. </td></tr>
    <tr><td class="paramname">inEvent</td><td>Type of the new event. Default is ACCESSORIES_EVENT_MOVEPOSITIONID. </td></tr>
    <tr><td class="paramname">inData</td><td>Associated data to the event type. Default is 0. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00314">314</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a44a43ba4687d9cd3863ec9d1f9a55cde"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classGroupState.html">GroupState</a> * AccessoryGroup::GetByID </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets a state by seraching an id. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id to found. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>found <a class="el" href="classGroupState.html">GroupState</a> address or NULL. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00228">228</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a5c852b40b4303445aaf77bfd03095b1f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t AccessoryGroup::GetCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Get the total number of groups. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00215">215</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab6ba5894c5a5fc03e1be8db5a0cd4a90"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classACCSCHAINEDLISTITEM.html">ACCSCHAINEDLISTITEM</a>&lt; <a class="el" href="classGroupState.html">GroupState</a> &gt; * AccessoryGroup::GetItemByID </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Gets the item list from a given <a class="el" href="classGroupState.html">GroupState</a> idenitifed by its id. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inId</td><td>Id to found. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>found <a class="el" href="classGroupState.html">GroupState</a> item list or NULL. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00238">238</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a47a16211e59138801c734a445867d137"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryGroup::IsActionItemPending </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Checks if a state item has not been executed. </p><dl class="section return"><dt>Returns</dt><dd>true if at least one accessory should still move. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00252">252</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af218475c80604838386e6a1ae342f88c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryGroup::loop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Main loop function. </p><dl class="section return"><dt>Returns</dt><dd>true if something has been done. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00281">281</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4e51991ec66066df63057550b79febd9"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryGroup::loops </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Do movements of all the groups. </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00294">294</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a5a114a8a2d2b0412f5b0acc2813e5545"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::ResetAction </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Prepare for a future action </p><dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8hpp_source.html#l00195">195</a> of file <a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="aa7161fb1c8e33b10008cd70e373bdff2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AccessoryGroup::StartAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classGroupState.html">GroupState</a> *&#160;</td>
          <td class="paramname"><em>inpState</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Starts a new action. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inpState</td><td>address of the starting state. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section remark"><dt>Remarks</dt><dd>Only for internal usage. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00257">257</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="af48bad3fa19a9aa30a39c827b57140e4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool AccessoryGroup::Toggle </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inId</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Move to the next <a class="el" href="classGroupState.html">GroupState</a>. </p><dl class="section return"><dt>Returns</dt><dd>returns the new state. </dd></dl>

<p class="definition">Definition at line <a class="el" href="AccessoryGroup_8cpp_source.html#l00344">344</a> of file <a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryGroup_8hpp_source.html">AccessoryGroup.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="AccessoryGroup_8cpp_source.html">AccessoryGroup.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classAccessoryGroup.html">AccessoryGroup</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
